package com.lovecding.day07.ex02;

public class MyInt {
    int value;

    //是否是自然数
    boolean isNatural(){
        if (value >= 0){
            return true;
        }
        return false;
    }
    //约数个数
    int approximateNumberCount(){
        //计数
        int count = 0;
        for (int i = 1; i <= value; i++) {
            if (value % i == 0){
                count++;
            }
        }
        //个数
        return count;
    }
    //是否是素数
    boolean isPrimeNumber(){
        if (approximateNumberCount() == 2){
            return true;
        }
        return false;
    }

    int[] getAllPrimeNumber(){
        //创建数组
        int[] arr = new int[approximateNumberCount()];
        //填入
        int index=0;
        //循环
        for (int i = 1; i <= value; i++) {
            if (value % i == 0){
                arr[index] = i;
                index++;
            }
        }
        return arr;
    }


}
